<?xml version="1.0" encoding="iso-8859-1" standalone="yes" ?>
<!-- $Id: form-je.xsl,v 1.6 2007/03/08 11:21:48 euzenat Exp $ -->

<!-- This stylesheet defines the HTML header format for the JE site -->

<xsl:stylesheet  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:bib="http://www.inrialpes.fr/exmo/papers"
  xmlns:datext="http://www.jclark.com/xt/java/java.util.Date"
  xmlns:datexa="xalan://java.util.Date">

  <xsl:template match="/" mode="je">
<html>
  <head>
    <title>Jrme Euzenat bibliography</title>
  </head>
  <body bgcolor="#dddeee">
    <h1><a href="http://exmo.inrialpes.fr/people/euzenat/">Jrme Euzenat</a> bibliography</h1>
    <form action="BiblioServlet" method="post">
      <input type="hidden" name="file" value="JE.xml" />
      <input type="hidden" name="layout" value="je" />
      <table width="100%">
	<tr border="0">
	  <td bgcolor="#99ccff" width="50%">
	    <xsl:text> sorted by </xsl:text><select name="sort">
	      <option value="ay"><xsl:if test="$sort='ay'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>authors, years</option>
	      <option value="ty"><xsl:if test="$sort='ty'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>areas, year</option>
	      <option value="ya"><xsl:if test="$sort='ya'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>year, authors</option>
	      <option value="cya"><xsl:if test="$sort='cya'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>type, year, author</option>
	    </select>
	  </td>
	  <td bgcolor="#00ffcc" width="40%">
	    <xsl:text> in </xsl:text><select name="format">
	      <option value="html"><xsl:if test="$format='html'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>HTML</option>
	      <option value="pdf"><xsl:if test="$format='pdf'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>PDF</option>
	      <!--option value="ps"><xsl:if test="$format='ps'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>PostScript</option-->
	      <option value="rtf"><xsl:if test="$format='rtf'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>RTF</option>
	      <option value="bib"><xsl:if test="$format='bib'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>BibTeX</option>
	      <option value="xml"><xsl:if test="$format='xml'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>XML</option>
	      <!--option value="rdf"><xsl:if test="$format='rdf'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>RDF</option-->
	    </select><xsl:text> without abstract </xsl:text>
	    <input type="checkbox" name="abstrip">
	      <xsl:if test="$abstrip='on'">
		<xsl:attribute name="checked">on</xsl:attribute>
	      </xsl:if>
	    </input>
	  </td>
	  <td bgcolor="#cc00cc" width="10%">
	    <input type="submit" value="OK" />
	  </td>
	</tr>
      </table>
    </form>
    <xsl:apply-templates/>
    <hr />
    <table width="100%"><tr><td>
          <small>http://exmo.inrialpes.fr/people/euzenat/</small>
	</td><td align="right"><small> Jrme Euzenat, 2001-2003, 2005, 2007</small>
    </td></tr></table>
    <address>Maintained by <a href="http://exmo.inrialpes.fr/people/euzenat/">Jrme Euzenat</a>; Generated by <a href="http://transmorpher.gforge.inria.fr">Transmorpher</a>
      <xsl:choose>
        <!-- for XT -->
	<xsl:when test="function-available('datext:to-string') and function-available('datext:new')">
	   on <xsl:value-of select="datext:to-string(datext:new())"/>
	</xsl:when>
        <!-- for Xalan -->
        <xsl:when test="function-available('datexa:toString')">
	   on <xsl:value-of select="datexa:toString(datexa:new())"/>
	</xsl:when>
      </xsl:choose>
    </address>
  </body>
</html>

   </xsl:template>
</xsl:stylesheet>
